---
updatedAt: 2026-09-04T07:06:48.000Z
agentTools:
  projectIndex: https://documentation.indigitall.com/llms.txt
---

# Get contact list

Get contact list

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "version": "2.0.0",
    "title": "INDIGITALL API",
    "x-logo": {
      "url": "https://console.indigitall.com/images/logo_verdeblanco@2x.png",
      "backgroundColor": "#0F3B7A"
    },
    "description": "\n### Introduction:\nThis documentation describes every endpoint of Indigitall's API v2\n\nAPI BASE URL: https://api.indigitall.com/v2\n\n### Authentication:\n\nMost of the endpoints of the API needs an Authorization header.\n\nThere are two Authorization ways:\n\n- If your intention is to manage API calls with a server-side script you have to create a Server key through Indigitall's console.\n\n  You can set the following Authorization Header : 'Authorization: ServerKey {ServerKey}'\n- If your intention is to integrate this API for front-end users POST /auth endpoint authorizes a user and returns an access token.\n\n  You can set the following Authorization Header : 'Authorization: Bearer {Token}'\n"
  },
  "security": [
    {
      "Authorization": []
    }
  ],
  "tags": [
    {
      "name": "sms-contact",
      "x-displayName": "SMS - Contact"
    }
  ],
  "x-tagGroups": [
    {
      "name": "Chat Service",
      "tags": [
        "chat-configuration",
        "chat-channel",
        "chat-contact",
        "chat-integration",
        "chat-task",
        "chat-campaign",
        "chat-send",
        "chat-multimedia",
        "chat-slicing",
        "chat-tag",
        "chat-contact-list",
        "chat-cc-agent",
        "chat-cc-permissions-profile",
        "chat-cc-weekly-schedule",
        "chat-cc-special-days-schedule",
        "chat-cc-conversation",
        "chat-cc-agent-group",
        "chat-cc-contact-comment",
        "chat-cc-form",
        "chat-stats",
        "chat-internal"
      ]
    },
    {
      "name": "Customer Service",
      "tags": [
        "customer-service-adviser",
        "customer-service-customer",
        "customer-service-customer-csv",
        "customer-service-customer-field",
        "customer-service-customer-journey",
        "customer-service-customer-journey-template",
        "customer-service-customer-journey-control",
        "customer-service-customer-send",
        "customer-service-stats",
        "customer-service-webhook-template",
        "customer-service-segment",
        "customer-service-audience",
        "customer-service-application",
        "customer-service-journeywaitqueue",
        "customer-service-task",
        "customer-service-cdpeventtype",
        "customer-service-cdpeventtypetemplate",
        "customer-service-internal"
      ]
    },
    {
      "name": "Email Service",
      "tags": [
        "es-configuration",
        "es-configurationDomain",
        "es-configurationDomainEmail",
        "es-footer",
        "es-audience",
        "es-contact",
        "es-category",
        "es-campaign",
        "es-campaign-block",
        "es-campaign block-column",
        "es-campaign-multimedia",
        "es-shipment",
        "es-attachment",
        "es-statistics",
        "es-webhook",
        "es-tasks"
      ]
    },
    {
      "name": "InApp Service",
      "tags": [
        "inapp-configuration",
        "inapp-campaign",
        "inapp-schema",
        "inapp-topic",
        "inapp-multimedia",
        "inapp-form",
        "inapp-stats",
        "inapp-audience",
        "inapp-task"
      ]
    },
    {
      "name": "SMS Service",
      "tags": [
        "sms-campaign",
        "sms-configuration",
        "sms-contact",
        "sms-send",
        "sms-stats",
        "sms-topic",
        "sms-cost",
        "sms-webhook",
        "sms-private"
      ]
    },
    {
      "name": "Wallet Service",
      "tags": [
        "wallet-project",
        "wallet-images",
        "wallet-tasks",
        "wallet-notifications",
        "wallet-template",
        "wallet-loyalty-pass",
        "wallet-loyalty-template",
        "wallet-offer-pass",
        "wallet-offer-template",
        "wallet-generic-pass",
        "wallet-generic-template"
      ]
    },
    {
      "name": "Stats Service",
      "tags": [
        "stats-service-chat",
        "stats-service-cs",
        "stats-service-report",
        "stats-service-wallet",
        "stats-service-meta"
      ]
    },
    {
      "name": "ChatGen service",
      "tags": [
        "icc-chatgen-gateway-agent",
        "icc-chatgen-gateway-api-tool",
        "icc-chatgen-gateway-configured-custom-tool",
        "icc-chatgen-gateway-conversation",
        "icc-chatgen-gateway-custom-tool",
        "icc-chatgen-gateway-document",
        "icc-chatgen-gateway-file",
        "icc-chatgen-gateway-instance-config",
        "icc-chatgen-gateway-router-agent-tool",
        "icc-chatgen-gateway-router-agent"
      ]
    },
    {
      "name": "AI Assitant service",
      "tags": [
        "ai-generator-campaign"
      ]
    },
    {
      "name": "Meta Service",
      "tags": [
        "meta-cloudapi",
        "meta-configuration",
        "meta-webhook",
        "meta-business",
        "meta-templates",
        "meta-upload"
      ]
    },
    {
      "name": "Push Live Service",
      "tags": [
        "push-live-configuration",
        "push-live-ios-class",
        "push-live-activity",
        "push-live-send"
      ]
    },
    {
      "name": "Pathbot",
      "tags": [
        "pathbot-agents",
        "pathbot-applications",
        "pathbot-documents",
        "pathbot-flows",
        "pathbot-tools",
        "pathbot-nodes",
        "pathbot-ingestion-sources",
        "pathbot-evaluation",
        "pathbot-skills"
      ]
    },
    {
      "name": "Link Service",
      "tags": [
        "link-short-domain"
      ]
    }
  ],
  "servers": [
    {
      "url": "https://api.indigitall.com/v2"
    }
  ],
  "paths": {
    "/sms/contact": {
      "get": {
        "tags": [
          "sms-contact"
        ],
        "summary": "Get contact list",
        "description": "Get contact list",
        "x-eov-operation-handler": "contactController",
        "operationId": "smsGetListContact",
        "x-gateway-endpoint": "smsService",
        "x-gateway-check-permission": {
          "account-features": [
            "SMS_ENABLED"
          ]
        },
        "parameters": [
          {
            "in": "query",
            "name": "applicationId",
            "schema": {
              "type": "integer"
            },
            "required": true,
            "description": "Application ID to look for"
          },
          {
            "in": "query",
            "name": "limit",
            "schema": {
              "type": "integer",
              "default": 10
            },
            "description": "Limit of results per page"
          },
          {
            "in": "query",
            "name": "page",
            "schema": {
              "type": "integer",
              "default": 0
            },
            "description": "Page number"
          },
          {
            "in": "query",
            "name": "find",
            "schema": {
              "type": "string"
            },
            "description": "Text filter to match the list"
          },
          {
            "in": "query",
            "name": "externalCode",
            "schema": {
              "type": "string"
            },
            "description": "Filter by externalCode"
          },
          {
            "in": "query",
            "name": "orderBy",
            "required": false,
            "description": "Order of the results:\n\n  * a-z - Order by name ascending. From A to Z.\n  * z-a - Order by name descending. From Z to A.\n  * 1-9 - Order by id ascending.\n  * 9-1 - Order by id descending.\n",
            "schema": {
              "type": "string",
              "enum": [
                "a-z",
                "z-a",
                "0-9",
                "9-0"
              ],
              "default": "9-0"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/CONTACT_GET_LIST_RESPONSE"
                }
              }
            }
          },
          "default": {
            "description": "Error 5XX, 4XX",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/BASE_ERROR_RESPONSE"
                }
              }
            }
          }
        }
      }
    }
  },
  "components": {
    "securitySchemes": {
      "Authorization": {
        "type": "apiKey",
        "in": "header",
        "name": "Authorization",
        "description": "Authorization for accesing endpoints , must be in one of the following format:\n- **Bearer {token}**\n- **ServerKey {key}**\n"
      }
    },
    "schemas": {
      "BASE_RESPONSE": {
        "type": "object",
        "required": [
          "statusCode",
          "message"
        ],
        "properties": {
          "statusCode": {
            "type": "integer",
            "description": "HTTP status code"
          },
          "message": {
            "type": "string",
            "description": "Message about response"
          },
          "data": {
            "type": "object",
            "description": "Response data"
          }
        }
      },
      "BASE_ERROR_RESPONSE": {
        "type": "object",
        "required": [
          "statusCode",
          "message"
        ],
        "properties": {
          "statusCode": {
            "type": "integer",
            "description": "HTTP error code"
          },
          "message": {
            "type": "string",
            "description": "Message about error"
          }
        }
      },
      "CONTACT_GET_LIST_RESPONSE": {
        "allOf": [
          {
            "$ref": "#/components/schemas/BASE_RESPONSE"
          },
          {
            "type": "object",
            "required": [
              "data"
            ],
            "properties": {
              "data": {
                "type": "object",
                "properties": {
                  "contacts": {
                    "type": "array",
                    "items": {
                      "$ref": "#/components/schemas/CONTACT_OBJECT"
                    }
                  }
                }
              }
            }
          },
          {
            "type": "object",
            "required": [
              "count"
            ],
            "properties": {
              "count": {
                "type": "integer",
                "description": "Total amount of contacts"
              }
            }
          }
        ]
      },
      "CONTACT_OBJECT": {
        "type": "object",
        "properties": {
          "id": {
            "$ref": "#/components/schemas/CONTACT_ID_PROP"
          },
          "countryCode": {
            "$ref": "#/components/schemas/CONTACT_COUNTRY_CODE_PROP"
          },
          "phone": {
            "$ref": "#/components/schemas/CONTACT_PHONE_PROP"
          },
          "applicationId": {
            "$ref": "#/components/schemas/CONTACT_APPID_PROP"
          },
          "externalCode": {
            "$ref": "#/components/schemas/CONTACT_EXTCODE_PROP"
          },
          "enabled": {
            "$ref": "#/components/schemas/CONTACT_ENABLED_PROP"
          },
          "topics": {
            "$ref": "#/components/schemas/CONTACT_TOPIC_PROP"
          },
          "phoneE164": {
            "$ref": "#/components/schemas/CONTACT_PHONE_E164_PROP"
          }
        }
      },
      "CONTACT_ID_PROP": {
        "type": "integer",
        "description": "contact ID",
        "readOnly": true
      },
      "CONTACT_COUNTRY_CODE_PROP": {
        "type": "string",
        "description": "contact's country code",
        "maxLength": 5,
        "minLength": 1
      },
      "CONTACT_PHONE_PROP": {
        "type": "string",
        "pattern": "^\\d*$",
        "minLength": 1,
        "maxLength": 21,
        "description": "contact's phone number"
      },
      "CONTACT_EXTCODE_PROP": {
        "type": "string",
        "nullable": true,
        "maxLength": 256,
        "description": "contact's external code"
      },
      "CONTACT_ENABLED_PROP": {
        "type": "boolean",
        "description": "if contact is enabled or not"
      },
      "CONTACT_APPID_PROP": {
        "type": "integer",
        "description": "application ID which the contact belongs to"
      },
      "CONTACT_TOPIC_PROP": {
        "type": "array",
        "items": {
          "type": "integer"
        },
        "description": "Array of topics which the contact is subscribed to"
      },
      "CONTACT_PHONE_E164_PROP": {
        "type": "string",
        "description": "Contact's phone number in E.164 format (e.g., +34666112233). If provided, this field takes precedence over countryCode and phone.",
        "nullable": true
      }
    }
  }
}
```